### File

`src/notification/notification-content.interface.ts`

### Index

###### Properties
Optional actions Optional closeLabel Optional duration Optional lowContrast Optional message Optional showClose Optional smart Optional target Optional template title type

### Properties

actions
`actions: `NotificationAction[]``
Type : `NotificationAction[]`
Optional

closeLabel
`closeLabel: `any``
Type : `any`
Optional

duration
`duration: `number``
Type : `number`
Optional

lowContrast
`lowContrast: `boolean``
Type : `boolean`
Optional

message
`message: `string``
Type : `string`
Optional

showClose
`showClose: `boolean``
Type : `boolean`
Optional

smart
`smart: `boolean``
Type : `boolean`
Optional

target
`target: `string``
Type : `string`
Optional

template
`template: `TemplateRef<any>``
Type : `TemplateRef<any>`
Optional

title
`title: `string``
Type : `string`

type
`type: `string``
Type : `string`

    import { Subject } from "rxjs";
    import { TemplateRef } from "@angular/core";

    export interface NotificationContent {
    	type: string;
    	title: string;
    	target?: string;
    	duration?: number;
    	smart?: boolean;
    	closeLabel?: any;
    	message?: string;
    	showClose?: boolean;
    	lowContrast?: boolean;
    	template?: TemplateRef<any>;
    	actions?: NotificationAction[];
    }

    export interface ToastContent extends NotificationContent {
    	subtitle: string;
    	caption: string;
    	template?: TemplateRef<any>;
    }

    interface NotificationAction {
    	text: string;
    	click: Subject<{event: Event, action: any}> | ((event: {event: Event, action: any}) => any);
    	[x: string]: any;
    }

# result-matching ""

# No results matching ""